const API_URL = "https://pageify.be/"
let API_KEY = ""



async function getCurrentTab() {
    let queryOptions = { active: true, currentWindow: true };
    let [tab] = chrome.tabs.query(queryOptions);
    return tab;
}

function checkIfKeyExists() {
    const verifyKey = async (key) => {
        const response = await fetch(API_URL + "check_key.lasso?keyid=" + key)
        const rawText = await response.text()
        return rawText.trim() == "Valid"
    }
    chrome.storage.local.get(['keyid'], async function(result) {
        console.log(result)
		if(result.keyid) {
            console.log(result.keyid)
			//chrome.browserAction.setPopup({popup: "result.html"});
			if(!await verifyKey(result.keyid)) 
            {
                location.href = "setkey.html"
                return;
            }
            chrome.tabs.query({active: true, lastFocusedWindow: true, currentWindow: true}, async tabs => {
                let tab = tabs[0];
                chrome.tabs.executeScript(tab.id, {
                    code: "document.querySelector(\"[property='og:image']\").getAttribute('content')"
                }, async (res) => {
                    const wi = res[0] || ""
                    console.log(wi)
                    API_KEY = result.keyid
                    try
                    {
                        const response = await fetch(`${API_URL}in.lasso?keyid=${API_KEY}&wu=${tab.url}&wt=${tab.title}&wi=${wi}`)
                        const wu = document.getElementById("wu")
                        const wt = document.getElementById("wt")
                        wu.innerText = tab.url
                        wt.innerText = tab.title
                    }
                    catch {
                        const wu = document.getElementById("wu")
                        const wt = document.getElementById("wt")
        
                        wu.innerText = "Error"
                        wt.innerText = "Error"
                    }
                    const viewBookmarks = document.getElementById("viewbookmarks");
                    viewBookmarks.href = "https://www.pageify.be/-login/logas.lasso?keyid=" + API_KEY
                    return;
                })
            });
		}
	});
}

//Wait for the popup window to load and then get the current tab
window.onload = async (ev) => {
    checkIfKeyExists()
    
}